Təkrarlanan kampaniyalar

GET https://push.yayim.org/api/recurring-campaigns/
curl --request GET \
--url 'https://push.yayim.org/api/recurring-campaigns/' \
--header 'Authorization: Bearer {api_key}' \
Parametrlər Təfərrüatlar Təsvir
search İstəyə bağlı Mətn Axtarış mətni.
search_by İstəyə bağlı Mətn Hansı sahədə axtarış aparılacaq. İcazəli dəyərlər: name, title, description, url.
website_id İstəyə bağlı Tam ədəd
datetime_field İstəyə bağlı Mətn İcazəli dəyərlər: last_run_datetime, next_run_datetime, datetime, last_datetime
datetime_start İstəyə bağlı Mətn Bu tarix və vaxtdan başlayaraq nəticələri süzün. Format: Y-m-d H:i:s.
datetime_end İstəyə bağlı Mətn Bu tarix və vaxta qədər nəticələri süzün. Format: Y-m-d H:i:s.
order_by İstəyə bağlı Mətn Nəticələrin hansı sahəyə görə sıralanacağı. İcazəli dəyərlər: recurring_campaign_id, datetime, last_datetime, last_run_datetime, next_run_datetime, name, title, total_campaigns, total_push_notifications, total_sent_push_notifications, total_displayed_push_notifications, total_clicked_push_notifications, total_closed_push_notifications.
order_type İstəyə bağlı Mətn Sıralama qaydası: artan sıra üçün ASC, azalan sıra üçün DESC.
page İstəyə bağlı Tam ədəd Nəticələri almaq istədiyiniz səhifə nömrəsi. Standart dəyər 1.
results_per_page İstəyə bağlı Tam ədəd Bir səhifədə istədiyiniz nəticə sayı. İcazəli dəyərlər: 10, 25, 50, 100, 250, 500, 1000. Standart dəyər: 25.
{
    "data": [
        {
            "id": 1,
            "user_id": 1,
            "website_id": 1,
            "name": "Example",
            "title": "Example",
            "description": "Example",
            "url": "https://example.com/",
            "image_url": "https://example.com/",
            "segment": "Example",
            "settings": [],
            "is_enabled": true,
            "total_campaigns": 1,
            "total_sent_push_notifications": 1,
            "total_displayed_push_notifications": 1,
            "total_clicked_push_notifications": 1,
            "total_closed_push_notifications": 1,
            "last_run_datetime": null,
            "next_run_datetime": null,
            "last_datetime": null,
            "datetime": "2026-11-21 21:50:27"
        }
    ],
    "meta": {
        "page": 1,
        "total_pages": 1,
        "results_per_page": 25,
        "total_results": 1
    },
    "links": {
        "first": "https://push.yayim.org/api/recurring-campaigns?page=1",
        "last": "https://push.yayim.org/api/recurring-campaigns?page=1",
        "next": null,
        "prev": null,
        "self": "https://push.yayim.org/api/recurring-campaigns?page=1"
    }
}
GET https://push.yayim.org/api/recurring-campaigns/{recurring_campaign_id}
curl --request GET \
--url 'https://push.yayim.org/api/recurring-campaigns/{recurring_campaign_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "website_id": 1,
        "name": "Example",
        "title": "Example",
        "description": "Example",
        "url": "https://example.com/",
        "image_url": "https://example.com/",
        "segment": "Example",
        "settings": [],
        "is_enabled": true,
        "total_campaigns": 1,
        "total_sent_push_notifications": 1,
        "total_displayed_push_notifications": 1,
        "total_clicked_push_notifications": 1,
        "total_closed_push_notifications": 1,
        "last_run_datetime": null,
        "next_run_datetime": null,
        "last_datetime": null,
        "datetime": "2026-11-21 21:50:27"
    }
}
POST https://push.yayim.org/api/recurring-campaigns
Parametrlər Təfərrüatlar Təsvir
website_id Məcburi Tam ədəd -
name Məcburi Mətn -
title Məcburi Mətn -
description Məcburi Mətn -
url İstəyə bağlı Mətn -
image İstəyə bağlı Fayl -
button_title_1 İstəyə bağlı Mətn -
button_url_1 İstəyə bağlı Mətn -
button_title_2 İstəyə bağlı Mətn -
button_url_2 İstəyə bağlı Mətn -
is_silent İstəyə bağlı Məntiqi dəyər -
is_auto_hide İstəyə bağlı Məntiqi dəyər -
ttl İstəyə bağlı Mətn İcazəli dəyərlər: 0, 900, 1800, 3600, 10800, 21600, 43200, 86400, 259200, 432000, 604800, 1209600, 2419200
utm_source İstəyə bağlı Mətn -
utm_medium İstəyə bağlı Mətn -
utm_campaign İstəyə bağlı Mətn -
frequency İstəyə bağlı Mətn İcazəli dəyərlər: daily, weekly, monthly
week_days İstəyə bağlı Mətn İcazəli dəyərlər: 1, 2, 3, 4, 5, 6, 7 Bu halda mövcuddur: frequency = weekly
month_days İstəyə bağlı Mətn İcazəli dəyərlər: 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31 Bu halda mövcuddur: frequency = monthly
time İstəyə bağlı Mətn HH:II
is_enabled İstəyə bağlı Məntiqi dəyər -
segment İstəyə bağlı Mətn -
urgency İstəyə bağlı Tam ədəd -
curl --request POST \
--url 'https://push.yayim.org/api/recurring-campaigns' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--form 'segment=all' \
--form 'frequency=daily' \
--form 'time=12:15' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "website_id": 1,
        "name": "Example",
        "title": "Example",
        "description": "Example",
        "url": "https://example.com/",
        "image_url": "https://example.com/",
        "segment": "Example",
        "settings": {},
        "is_enabled": true,
        "total_campaigns": 1,
        "total_sent_push_notifications": 1,
        "total_displayed_push_notifications": 1,
        "total_clicked_push_notifications": 1,
        "total_closed_push_notifications": 1,
        "last_run_datetime": null,
        "next_run_datetime": null,
        "last_datetime": null,
        "datetime": "2026-11-21 21:50:27"
    }
}
POST https://push.yayim.org/api/recurring-campaigns/{recurring_campaign_id}
Parametrlər Təfərrüatlar Təsvir
website_id İstəyə bağlı Tam ədəd -
name İstəyə bağlı Mətn -
title İstəyə bağlı Mətn -
description İstəyə bağlı Mətn -
url İstəyə bağlı Mətn -
image İstəyə bağlı Fayl -
button_title_1 İstəyə bağlı Mətn -
button_url_1 İstəyə bağlı Mətn -
button_title_2 İstəyə bağlı Mətn -
button_url_2 İstəyə bağlı Mətn -
is_silent İstəyə bağlı Məntiqi dəyər -
is_auto_hide İstəyə bağlı Məntiqi dəyər -
ttl İstəyə bağlı Mətn İcazəli dəyərlər: 0, 900, 1800, 3600, 10800, 21600, 43200, 86400, 259200, 432000, 604800, 1209600, 2419200
utm_source İstəyə bağlı Mətn -
utm_medium İstəyə bağlı Mətn -
utm_campaign İstəyə bağlı Mətn -
frequency İstəyə bağlı Mətn İcazəli dəyərlər: daily, weekly, monthly
week_days İstəyə bağlı Mətn İcazəli dəyərlər: 1, 2, 3, 4, 5, 6, 7 Bu halda mövcuddur: frequency = weekly
month_days İstəyə bağlı Mətn İcazəli dəyərlər: 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31 Bu halda mövcuddur: frequency = monthly
time İstəyə bağlı Mətn HH:II
is_enabled İstəyə bağlı Məntiqi dəyər -
segment İstəyə bağlı Mətn -
urgency İstəyə bağlı Tam ədəd -
curl --request POST \
--url 'https://push.yayim.org/api/recurring-campaigns/{recurring_campaign_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--form 'segment=all' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "website_id": 1,
        "name": "Example",
        "title": "Example",
        "description": "Example",
        "url": "https://example.com/",
        "image_url": "https://example.com/",
        "segment": "Example",
        "settings": {},
        "is_enabled": true,
        "total_campaigns": 1,
        "total_sent_push_notifications": 1,
        "total_displayed_push_notifications": 1,
        "total_clicked_push_notifications": 1,
        "total_closed_push_notifications": 1,
        "last_run_datetime": null,
        "next_run_datetime": null,
        "last_datetime": null,
        "datetime": "2026-11-21 21:50:27"
    }
}
DELETE https://push.yayim.org/api/recurring-campaigns/{recurring_campaign_id}
curl --request DELETE \
--url 'https://push.yayim.org/api/recurring-campaigns/{recurring_campaign_id}' \
--header 'Authorization: Bearer {api_key}' \